Bug 68118 - non-root user floppy permission problem
non-root user floppy permission problem
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-06 12:34 EDT by David Chow
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-06 12:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Chow 2002-07-06 12:34:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
After non user has mounted the floppy drive (/dev/fd0) , the /sbin/umount binary
does not allow the user to unmount the drive. It says "Only root can do this
blah blah blah.." even though /sbin/umount is setUID root. This only happens
with the umount comes with RedHat 7.3, I overwrite it with the old Rh 72 old
umount and it works fine. Please fix it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login as non root user at console or gdm
2.mount /mnt/floppy
Bingo!

Actual Results:  Cannot umount the floppy drive, only root can

Expected Results:  umount properly

Additional info:

Check /sbin/umount source
Comment 1 Elliot Lee 2002-07-11 15:50:23 EDT
Works for me on a rawhide-ish system, please try using the util-linux from there and 
reopen if necessary.

Note You need to log in before you can comment on or make changes to this bug.